---
title: ElementCSSInlineStyle
slug: Web/API/ElementCSSInlineStyle
tags:
  - API
  - CSS
  - ElementCSSInlineStyle
  - Interface
  - Mixin
  - Reference
---
<p>{{APIRef("CSSOM")}}{{Draft}}</p>

<p><span class="seoSummary">The <strong><code>ElementCSSInlineStyle</code></strong> mixin describes CSSOM-specific features common to the {{DOMxRef("HTMLElement")}}, {{DOMxRef("SVGElement")}} and {{DOMxRef("MathMLElement")}} interfaces.</span> Each of these interfaces can, of course, add more features in addition to the ones listed below.</p>

<div class="notecard note">
<p><strong>Note</strong>: <code>ElementCSSInlineStyle</code> is a mixin and not an interface; you can't actually create an object of type <code>ElementCSSInlineStyle</code>.</p>
</div>

<div>{{InterfaceOverview("CSSOM")}}</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM", "#the-elementcssinlinestyle-mixin", '<code>HTMLOrForeignElement</code>')}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ElementCSSInlineStyle")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("HTMLElement")}}</li>
 <li>{{DOMxRef("SVGElement")}}</li>
 <li>{{DOMxRef("MathMLElement")}}</li>
 <li>{{DOMxRef("HTMLOrForeignElement")}}</li>
</ul>
